VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::appliance::MonitoringDefinitions Class Reference

Defines the type descriptors for the Monitoring API service. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | monitoredItemData
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | monitoredItemDataRequest
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | monitoredItem
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | queryInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | queryOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | listInput
static global::System.Lazy < vmware.vapi.bindings.type.IType > | listOutput
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | get_Input
static global::System.Lazy < vmware.vapi.bindings.type.IType > | get_Output

## Detailed Description

Defines the type descriptors for the Monitoring API service.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::MonitoringDefinitions::get_Input`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("stat_id", new vmware.vapi.bindings.type.IdType("com.vmware.appliance.monitoring"));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::MonitoringDefinitions::get_Output`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.MonitoringDefinitions.monitoredItem.Value));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::MonitoringDefinitions::listInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::MonitoringDefinitions::listOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.MonitoringDefinitions.monitoredItem.Value)));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::MonitoringDefinitions::monitoredItem`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("id", new vmware.vapi.bindings.type.IdType("com.vmware.appliance.monitoring"));
                    fields.Add("name", new vmware.vapi.bindings.type.StringType());
                    fields.Add("units", new vmware.vapi.bindings.type.StringType());
                    fields.Add("category", new vmware.vapi.bindings.type.StringType());
                    fields.Add("instance", new vmware.vapi.bindings.type.StringType());
                    fields.Add("description", new vmware.vapi.bindings.type.StringType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.monitoring.monitored_item", fields, typeof(vmware.appliance.MonitoringTypes.MonitoredItem), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::MonitoringDefinitions::monitoredItemData`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("name", new vmware.vapi.bindings.type.IdType("com.vmware.appliance.monitoring"));
                    fields.Add("interval", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.MonitoringTypes.IntervalType)));
                    fields.Add("function", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.MonitoringTypes.FunctionType)));
                    fields.Add("start_time", new vmware.vapi.bindings.type.DateTimeType());
                    fields.Add("end_time", new vmware.vapi.bindings.type.DateTimeType());
                    fields.Add("data", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.StringType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.monitoring.monitored_item_data", fields, typeof(vmware.appliance.MonitoringTypes.MonitoredItemData), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::MonitoringDefinitions::monitoredItemDataRequest`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("names", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.IdType("com.vmware.appliance.monitoring")));
                    fields.Add("interval", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.MonitoringTypes.IntervalType)));
                    fields.Add("function", new vmware.vapi.bindings.type.EnumType(typeof(vmware.appliance.MonitoringTypes.FunctionType)));
                    fields.Add("start_time", new vmware.vapi.bindings.type.DateTimeType());
                    fields.Add("end_time", new vmware.vapi.bindings.type.DateTimeType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.appliance.monitoring.monitored_item_data_request", fields, typeof(vmware.appliance.MonitoringTypes.MonitoredItemDataRequest), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::appliance::MonitoringDefinitions::queryInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("item", new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.MonitoringDefinitions.monitoredItemDataRequest.Value)));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("operation-input", fields, typeof(vmware.vapi.data.StructValue), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.IType> vmware::appliance::MonitoringDefinitions::queryOutput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.IType>(() =>
                {
                    return new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.appliance.MonitoringDefinitions.monitoredItemData.Value)));
                })

The documentation for this class was generated from the following file:

- MonitoringDefinitions.cs